aboutsummaryrefslogtreecommitdiffstats
path: root/travis
diff options
context:
space:
mode:
authorMarc Alexander <admin@m-a-styles.de>2019-01-01 22:21:25 +0100
committerMarc Alexander <admin@m-a-styles.de>2019-01-01 22:23:16 +0100
commit186115c65feccedb659c6a4fecd3d4ea437835da (patch)
treef8b2dec16447230b8a8dd3d8b6b31c7b5fab607e /travis
parenta23a7602b7d550616a8fb83316a33ffb6e924487 (diff)
downloadforums-186115c65feccedb659c6a4fecd3d4ea437835da.tar
forums-186115c65feccedb659c6a4fecd3d4ea437835da.tar.gz
forums-186115c65feccedb659c6a4fecd3d4ea437835da.tar.bz2
forums-186115c65feccedb659c6a4fecd3d4ea437835da.tar.xz
forums-186115c65feccedb659c6a4fecd3d4ea437835da.zip
[ticket/15924] Switch back to installing mariadb from 3rd party repo
PHPBB3-15924
Diffstat (limited to 'travis')
-rwxr-xr-xtravis/setup-mariadb.sh54
-rwxr-xr-xtravis/setup-phpbb.sh5
2 files changed, 59 insertions, 0 deletions
diff --git a/travis/setup-mariadb.sh b/travis/setup-mariadb.sh
new file mode 100755
index 0000000000..95445dcc55
--- /dev/null
+++ b/travis/setup-mariadb.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+#
+# This file is part of the phpBB Forum Software package.
+#
+# @copyright (c) phpBB Limited <https://www.phpbb.com>
+# @license GNU General Public License, version 2 (GPL-2.0)
+#
+# For full copyright and license information, please see
+# the docs/CREDITS.txt file.
+#
+set -e
+set -x
+
+# MariaDB Series
+VERSION='10.0'
+
+# Operating system codename, e.g. "precise"
+OS_CODENAME=$(lsb_release --codename --short)
+
+# Manually purge MySQL to remove conflicting files (e.g. /etc/mysql/my.cnf)
+sudo apt-get purge -y mysql-common
+
+if ! which add-apt-repository > /dev/null
+then
+ sudo apt-get update
+ sudo apt-get install -y python-software-properties
+fi
+
+MIRROR_DOMAIN='ftp.osuosl.org'
+sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 0xcbcb082a1bb943db
+sudo add-apt-repository "deb http://$MIRROR_DOMAIN/pub/mariadb/repo/$VERSION/ubuntu $OS_CODENAME main"
+sudo apt-get update
+
+# Pin repository in order to avoid conflicts with MySQL from distribution
+# repository. See https://mariadb.com/kb/en/installing-mariadb-deb-files
+# section "Version Mismatch Between MariaDB and Ubuntu/Debian Repositories"
+echo "
+Package: *
+Pin: origin $MIRROR_DOMAIN
+Pin-Priority: 1000
+" | sudo tee /etc/apt/preferences.d/mariadb
+
+sudo debconf-set-selections <<< "mariadb-server-$VERSION mysql-server/root_password password rootpasswd"
+sudo debconf-set-selections <<< "mariadb-server-$VERSION mysql-server/root_password_again password rootpasswd"
+sudo apt-get install -y mariadb-server
+
+# Set root password to empty string.
+echo "
+USE mysql;
+UPDATE user SET Password = PASSWORD('') where User = 'root';
+FLUSH PRIVILEGES;
+" | mysql -u root -prootpasswd
+
+mysql --version
diff --git a/travis/setup-phpbb.sh b/travis/setup-phpbb.sh
index 98e9afa485..be9eb703d5 100755
--- a/travis/setup-phpbb.sh
+++ b/travis/setup-phpbb.sh
@@ -21,6 +21,11 @@ then
travis/setup-unbuffer.sh
fi
+if [ "$DB" == "mariadb" ]
+then
+ travis/setup-mariadb.sh
+fi
+
if [ "$NOTESTS" != '1' ]
then
travis/setup-php-extensions.sh